import type { NobjcObject } from "objc-js";
import type { _GLKEffectProperty } from "./GLKEffectProperty.js";
export declare class _GLKEffectPropertyMaterial extends _GLKEffectProperty {
    static alloc(): _GLKEffectPropertyMaterial;
    static new(): _GLKEffectPropertyMaterial;
    init(): _GLKEffectPropertyMaterial;
    /** { 0.2, 0.2, 0.2, 1.0} */
    ambientColor(): NobjcObject;
    setAmbientColor$(value: NobjcObject): void;
    /** { 0.8, 0.8, 0.8, 1.0} */
    diffuseColor(): NobjcObject;
    setDiffuseColor$(value: NobjcObject): void;
    /** { 0.0, 0.0, 0.0, 1.0} */
    specularColor(): NobjcObject;
    setSpecularColor$(value: NobjcObject): void;
    /** { 0.0, 0.0, 0.0, 1.0} */
    emissiveColor(): NobjcObject;
    setEmissiveColor$(value: NobjcObject): void;
    /** 0.0 */
    shininess(): number;
    setShininess$(value: number): void;
}
